Skip to main content
GET
Get a list of barcodes

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

barcode_number_like
string

Case insensitive wildcard search for barcode_number, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

upc_like
string

Case insensitive wildcard search for upc, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

barcode_number
string[]
to_timestamp_valid_to
string<date-time>
account_id
string<uuid>[]
from_creation_time
string<date-time>
from_last_updated_time
string<date-time>
type
enum<string>[]

Type of the barcode.

Available options:
CASH_DEPOSIT
upc
string[]
tenant
string[]

The id of the tenant containing the resource.

to_last_updated_time
string<date-time>
page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

biller_id_like
string

Case insensitive wildcard search for biller_id, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

status
enum<string>[]

Status of the barcode.

Available options:
AVAILABLE,
BLOCKED,
REDEEMED
from_timestamp_valid_to
string<date-time>
sort_by
enum<string>[]
Available options:
creation_time:asc,
creation_time:desc,
last_updated_time:asc,
last_updated_time:desc,
timestamp_valid_to:asc,
timestamp_valid_to:desc
limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

to_creation_time
string<date-time>
customer_id
string<uuid>[]
biller_id
string[]
id
string<uuid>[]

Response

Successful retrieval of barcodes

barcodes
object[]
required
next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"